CHS_GET_LINE(3)

FUNCTION
chs_get_line - Scan a channel object for a line.

SYNOPSIS
#include <karma_chs.h>

flag chs_get_line

(Channel channel, char *buffer, unsigned int length)

DESCRIPTION
This routine will read a line from a channel, stripping all comments, leading and trailing whitespace. The comment character is '#'. The comment character is ignored if between quotes. Blank or commented lines are ignored.

channel
    The channel object to read from.

buffer
    The buffer to write the line into.

length
    The size of the buffer.

RETURN VALUE
TRUE on success, else FALSE (indicating End-Of-File). Data is still written to the buffer and NULL terminated on EOF.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/